/absence/types

List absence types

List all absence types

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

This operation does not declare request parameters.
cURL
curl -X GET 'https://<tenant>.dieagenturverwaltung.de/api/v2/absence/types' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token'

Responses

200OK
array<app.AbsenceType>application/json
Example
[
  {
    "accountable": true,
    "approval_user_ids": [
      "string"
    ],
    "color": "string",
    "date_created": 123,
    "date_modified": 123,
    "decreases_resource_capacity": true,
    "division": "month",
    "drop_decimals_in_second_semester": true,
    "external_id": "string",
    "id": 123,
    "is_public": true,
    "name": "string",
    "needs_approval": true,
    "needs_second_approval": true,
    "needs_substitute": true,
    "period": "year",
    "requires_contingent": true,
    "second_approval_user_ids": [
      "string"
    ],
    "status": "ACTIVE",
    "type": "holiday",
    "unit": "day"
  }
]
401Unauthorized
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}